Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.server.oauth.core.token
Class SimpleTokenStrategy.RequestTokenData

    java.lang.Object
      org.eclipse.lyo.server.oauth.core.token.SimpleTokenStrategy.RequestTokenData

Enclosing class:
  SimpleTokenStrategy

    protected class SimpleTokenStrategy.RequestTokenData

extends Object

Holds information associated with a request token such as the callback URL and OAuth verification code.

Author:
  Samuel Padgett

Constructor Summary
`SimpleTokenStrategy.RequestTokenData(String consumerKey)`
`SimpleTokenStrategy.RequestTokenData(String consumerKey, String callback)`

Method Summary
`String` | `getCallback()`
`String` | `getConsumerKey()`
`String` | `getVerificationCode()`
`boolean` | `isAuthorized()`
`void` | `setAuthorized(boolean authorized)`
`void` | `setCallback(String callback)`
`void` | `setConsumerKey(String consumerKey)`
`void` | `setVerificationCode(String verificationCode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleTokenStrategy.RequestTokenData

    public SimpleTokenStrategy.RequestTokenData(String consumerKey)

### SimpleTokenStrategy.RequestTokenData

    public SimpleTokenStrategy.RequestTokenData(String consumerKey,
                                                String callback)

Method Detail

### getConsumerKey

    public String getConsumerKey()

### setConsumerKey

    public void setConsumerKey(String consumerKey)

### isAuthorized

    public boolean isAuthorized()

### setAuthorized

    public void setAuthorized(boolean authorized)

### getCallback

    public String getCallback()

### setCallback

    public void setCallback(String callback)

### getVerificationCode

    public String getVerificationCode()

### setVerificationCode

    public void setVerificationCode(String verificationCode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.